services:
  session.memcached:
    class: AppBundle\MemcachedSession
    arguments:
      - '%memcached_prefix%'
    calls:
      - [ addServer, [ "%memcached_host%", "%memcached_port%" ]]
  session.handler.memcached:
    class: Symfony\Component\HttpFoundation\Session\Storage\Handler\MemcachedSessionHandler
    arguments: [ "@session.memcached", { prefix: '%memcached_prefix%', expiretime: '%memcached_expire%' } ]